package com.guwan.backend.constant;

import java.util.List;

/**
 * 安全相关常量配置
 */
public class SecurityConstants {
    
    /**
     * API接口白名单
     * 这些路径可以直接访问，不需要认证
     */
    public static final List<String> WHITE_LIST = List.of(
        "/demo/**",              // 测试接口
        "/api/user/register",    // 用户注册
        "/api/user/login",       // 用户登录
        "/api/user/getEmailCode",  // 邮箱注册
        "/api/user/register/phone",  // 手机号注册
        "/api/user/email/code",      // 获取邮箱验证码
        "/api/user/phone/code"       // 获取手机验证码
    );
    
    /**
     * 静态资源白名单
     * 这些路径用于访问静态资源，不需要认证
     */
    public static final List<String> STATIC_RESOURCES = List.of(
        "/static/**",    // 静态资源目录
        "/public/**",    // 公共资源目录
        "/error"         // 错误页面
    );
} 