package com.guwan.backend.controller;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.RandomUtil;
import com.guwan.backend.common.Result;
import com.guwan.backend.service.EmailService;
import com.guwan.backend.util.RedisUtils;
import com.guwan.backend.util.SmsUtils;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.thymeleaf.context.Context;

@Slf4j
@RestController
@RequestMapping("/user")
@RequiredArgsConstructor
@Validated
public class DemoController {

    private final EmailService emailService;

    private final RedisUtils redisUtils;

    @GetMapping("/getEmailCode")
    public Result getEmailCode(String email) {

        Context context = new Context();
        context.setVariable("nowDate", DateUtil.now());
        String code = RandomUtil.randomNumbers(6);
        redisUtils.set(email, code, 10);
        context.setVariable("code", code.toCharArray());

        emailService.sendHtmlMessage(email,
                "养老平台邮箱验证码", "email_template.html", context);
        return Result.success();
    }


    @GetMapping("/getPhoneCode")
    public Result getPhoneCode(String phone) throws Exception {

        String random = RandomUtil.randomNumbers(6);

        SmsUtils.sendMessage(phone, random);

        redisUtils.set(phone, random, 10);

        return Result.success();
    }

}
